For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get supportGet a Demo
  • Get Started
    • Welcome
    • Authorisation
    • Webhooks
  • API Reference
      • GETList invoice view sessions
      • GETGet invoice view session by ID
LogoLogo
Get supportGet a Demo
API ReferenceInvoice View Sessions

Get invoice view session by ID

GET
https://api.caresquareapi.com/api/public/v1/invoice-view-sessions/:session_id
GET
/api/public/v1/invoice-view-sessions/:session_id
$curl https://api.caresquareapi.com/api/public/v1/invoice-view-sessions/session_id \
> -H "Authorization: Bearer <token>"
1{
2 "id": "string",
3 "invoice_id": "string",
4 "user_id": "string",
5 "user_name": "string",
6 "session_started": "2024-01-15T09:30:00Z",
7 "session_ended": "2024-01-15T09:30:00Z",
8 "last_heartbeat": "2024-01-15T09:30:00Z",
9 "duration_seconds": 1,
10 "created_at": "2024-01-15T09:30:00Z",
11 "active_duration_seconds": 1,
12 "engaged_duration_seconds": 1,
13 "idle_count": 1
14}
Was this page helpful?
Previous
Built with

Authentication

AuthorizationBearer
API key issued for your account. Send as Bearer token in the Authorization header.
X-Plan-Manager-Idstring
Plan manager UUID. Required on all public API requests to scope data access.

Path parameters

session_idstringRequired

Response

Single invoice view session
idstring
Session ID
invoice_idstring
Invoice ID
user_idstring
User ID
user_namestring
User name
session_starteddatetime
Session start time
session_endeddatetime or null
Session end time
last_heartbeatdatetime
Last heartbeat
duration_secondsinteger or null
Duration in seconds
created_atdatetime
Created at
active_duration_secondsinteger or null
Active duration in seconds
engaged_duration_secondsinteger or null
Engaged duration in seconds
idle_countinteger or null
Idle count

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error